# xmp not ready for alsa-0.9
%define with_alsa2 0

%define prerel pre3

Name: xmp
Version: 2.0.5
Release: alt0.6%prerel

Summary: Extended Module Player
Summary(ru_RU.KOI8-R): XMP -    .
License: GPL
Group: Sound
Url: http://xmp.sourceforge.net
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://prdownloads.sourceforge.net/xmp/%name-%version%prerel.tar.bz2
Patch: xmp-2.0.5pre3-lib.patch
Patch1: xmp-2.0.5pre3-includes.patch

Provides: %name-console = %version-%release
Requires: %name-common = %version-%release

%if %with_alsa2
BuildPreReq: libalsa2-devel
%endif

# Automatically added by buildreq on Mon Sep 23 2002
BuildRequires: XFree86-devel esound-devel glib-devel gtk+-devel libarts-devel libaudiofile-devel libxmms-devel

%description
XMP is a multi-format module player for UNIX. In machines with GUS or
AWE cards xmp takes advantage of the OSS sequencer to play modules with
virtually no system load. Using software mixing, xmp plays at sampling
rates up to 48kHz in mono or stereo, 8 or 16 bits, signed or unsigned,
little or big endian samples with 32 bit linear interpolation.

This package contains xmp, the console player.

%description -l ru_RU.KOI8-R
XMP (Extended Module Player) -   ,
   ,    
   e  ,  
  GUS  AWE  ,   
.        . 
    .

   XMP  .

%package common
Summary: Common files needed for Extended Module Player
Summary(ru_RU.KOI8-R): ,      XMP
Group: Sound

%description common
This package contains the dynamic library and config files for XMP.

%description -l ru_RU.KOI8-R common
        XMP.
(Extended Module Player)

%package doc
Summary: Documentation for Extended Module Player
Summary(ru_RU.KOI8-R):   XMP
Group: Sound
Conflicts: %name < %version-%release

%description doc
This package contains documentation for Extended Module Player

%description -l ru_RU.KOI8-R doc
    XMP (Extended Module Player).

%package X11
Summary: X11 version of Extended Module Player
Summary(ru_RU.KOI8-R): XMP   .
Group: Sound
Provides: xxmp
Provides: %name = %version-%release
Requires: %name-common = %version-%release

%description X11
This package contains xxmp, the XMP sound player with X11 support.

%description -l ru_RU.KOI8-R X11
  XMP (Extended Module Player)   .

%package -n xmms-%name
Summary: Extended Module Player XMMS input plugin
Summary(ru_RU.KOI8-R):    XMMS
Group: Sound
Requires: %name-common = %version-%release
Requires: xmms

%description -n xmms-%name
This package contains a XMMS plugin based on xmp. 
WARNING: When using the XMMS plugin, it's advisable to disable the
mikmod plugin (otherwise XMMS may get confused and eventually crash).

%description -l ru_RU.KOI8-R -n xmms-%name
  XMP ,     XMMS.
,  XMP   mikmod ,  
   XMMS.

%package oss
Summary: OSS drivers for Extended Module Player
Summary(ru_RU.KOI8-R): OSS    XMP
Group: Sound
Requires: %name = %version-%release

%description oss
This package contains OSS drivers (software and hardware mixer) for xmp.

%description -l ru_RU.KOI8-R oss
     OSS .

%package esd
Summary: EsounD driver for Extended Module Player
Summary(ru_RU.KOI8-R): EsounD    XMP
Group: Sound
Requires: %name = %version-%release esound

%description esd
This package contains an ESounD driver for xmp.

%description -l ru_RU.KOI8-R esd
     Enlightened Sound Daemon.

%package arts
Summary: aRts driver for Extended Module Player
Summary(ru_RU.KOI8-R): aRts    XMP
Group: Sound
Requires: %name = %version-%release arts

%description arts
This package contains an aRts driver for xmp.

%description -l ru_RU.KOI8-R arts
       KDE - aRts (Analog
RealTime Synthesizer.)

%package alsa
Summary: ALSA driver for Extended Module Player
Summary(ru_RU.KOI8-R): ALSA    XMP
Group: Sound
Requires: %name = %version-%release

%description alsa
This package contains an ALSA driver for xmp.

%description -l ru_RU.KOI8-R alsa
     ALSA .

%define _xmms_input_plugin_dir %(xmms-config --input-plugin-dir)

%prep
%setup -n %name-%version-%prerel
%patch -p1 -b .lib
%patch1 -p1 -b .includes

%build
%configure --with-x --enable-dynamic
# SMP-incompatible build
%make

%install
%__mkdir_p %buildroot/%_sysconfdir/profile.d

%make DEST_DIR=%buildroot \
BIN_DIR=%buildroot%_bindir \
LIB_DIR=%buildroot%_libdir \
MAN_DIR=%buildroot%_man1dir install

# xmp needs XMP_LIB_PATH variable
%__cat <<__SH__ >xmp.sh
#!/bin/sh
XMP_LIB_PATH=%_libdir/%name
export XMP_LIB_PATH
__SH__

%__cat <<__CSH__ >xmp.csh
#!/bin/csh
setenv XMP_LIB_PATH %_libdir/%name
__CSH__

%__install -m755 %name.{sh,csh} %buildroot/%_sysconfdir/profile.d/

# menu for xxmp 
%__cat <<__MENU__ >%name.menu
?package(%name-X11): needs="X11" section="Multimedia/%group" title="XMP module player" \
longtitle="XMP module player for X" command="%_bindir/xxmp" icon="%name.png"
__MENU__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name

# install doc
%__mkdir_p %buildroot%_docdir/%name-%version
%__cp -R README docs/README.* docs/ChangeLog docs/formats \
	modules  %buildroot%_docdir/%name-%version
%__cp src/xmms/README %buildroot%_docdir/%name-%version/README.xmms

%define warning "Please logout first before using XMP"

%post
echo %warning

%post X11
#%update_menus
echo %warning

%postun X11
#%clean_menus

%post common -p %post_ldconfig
%postun common -p %postun_ldconfig

%files
%_bindir/xmp
%_mandir/man1/xmp.*

%files common
%_libdir/libxmp.so.*
%_libdir/libxmp.so
%config %_sysconfdir/%name.conf
%config %_sysconfdir/%name-modules.conf
%_sysconfdir/profile.d/%name.*

%files doc
%_docdir/%name-%version/* 

%files X11
%_bindir/xxmp
%_mandir/man1/xxmp.*
# now it's impossible to run xxmp from menu.
#%_menudir/%name

%files -n xmms-%name
%_xmms_input_plugin_dir/%name-plugin.so

%files oss
%_libdir/%name/drivers/oss_*.so

%files esd
%_libdir/%name/drivers/esd.so

%files arts
%_libdir/%name/drivers/arts.so

%if %with_alsa2
%files alsa
%_libdir/%name/drivers/alsa_mix.so
%endif

%changelog
* Mon Sep 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.5-alt0.6pre3
- Build with new XFree86.
- gcc-3.2 used.
- buildreqs updated.

* Sat Jan 5 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.5-alt0.5pre3
- Adopted for Sisyphus.
- doc package and other major changes.

* Thu Nov 08 2001 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- spec file cleanups
- fixed missing includes
- added aRts driver
- split OSS drivers from main package
- package descriptions cleanups
- renamed all packages containing drivers to xmp-driver-*
- prepare specfile for ALSA support (can someone with alsa-libs
  uncomment relevant lines and recompile?)

* Thu Aug 23 2001 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- define the _xmms_input_plugin_dir macro within the specfile

* Fri Mar 16 2001 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- update to 2.0.5pre3
- work around "XMP_LIB_PATH not set" bug

* Wed Mar 07 2001 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- fixed *stupid* dynamic library loading bug

* Fri Jan 26 2001 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- new upstream release: 2.0.4
  * Added driver for synthesized sounds
  * Added Tatsuyuki Satoh's YM3812 emulator
  * Added support to The Player 6.0a modules (using Sylvain "Asle"
    Chipaux's P60A loader)
  * Added seek capability to XMMS plugin
  * Added (very) experimental AIX driver
  * Added support to dynamic linked drivers (for better packaging)
  * Fixed external drivers problem with the XMMS plugin (reported
    by greg <gjones@computelnet.com>)
  * Started adding support to MED 1.11, 1.12, 2.00 and 3.22
  * Replaced RPM spec with Dominik Mierzejewski's version
- new package layout: xmp-common, xmp, xmp-x11, xmp-xmms, xmp-esound
- alsa support still disabled in binary packages, because I don't have
  alsa installed - get SRPM and rebuild if you want it

* Fri Jan 12 2001 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- fixed %install section
- removed redundant install paths patch

* Sun Jan 07 2001 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- a small patch to remove stupid warning in src/xmms/plugin.c
- merged distributed changelog
- merged distributed spec
- added a build-time autoconfiguration of xmms' input plugin dir
  (requires my custom macro in ~/.rpmmacros)
- changed Group: fields to valid group from current GROUPS file (rpm-4.0-4)

* Sat Jan 06 2001 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- new upstream release: 2.0.3
  * fixes in configure.in
  * support for gcc 2.96 (possibly incomplete)
  * support for RAR packed files
  * improved powerpacker decrunching
  * IT lowpass filters in the software mixer
  * misc minor bugfixes
- removed my gcc.patch (merged into the main source)
- updated xmms-install-paths.patch and spec %install section
- new subpackage descriptions
- added new doc files to %files sections

* Mon Nov 20 2000 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- corrected X11 subpackage Requires: to XFree86-libs
- removed X11 subpackage dependency on textmode version

* Sun Oct 08 2000 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- added a patch to compile under gcc 2.96 (still needs some work)
- modified paths to be FHS compatible

* Mon May 15 2000 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- split the xmms plugin into a separate subpackage

* Mon May 15 2000 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- split the X11 version into a separate subpackage
- added build dependency for xmms-devel and XFree86-devel

* Mon May 15 2000 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- new upstream release: 2.0.2
  * fixed sample size for MED synth instruments
  * fixed the set offset effect for (offset > sample length) bug
  * fixed S3M tone portamento bug introduced in 2.0.1
  * fixed option --fix-sample-loops
  * improved Noisetracker and Octalyser module detection
  * fixed UNIC tracker and Mod's Grave module detection
  * fixed Protracker song detection
  * fixed event loading in S3M
  * fixed ALSA 0.5 driver
  * removed calls to tempnam(3)

* Thu Feb 24 2000 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- new upstream release: 2.0.1
  * endianism problems in Linux/PPC (Amiga) fixed
  * added enhanced NetBSD/OpenBSD drivers
  * fixed sample loop detection bug in the MOD loader
  * ALSA 0.5 support fixes
  * added extra sanity tests for 15 instrument MODs
  * fixed pathname for Protracker song sample loading
  * fixed XM loader for nonstandard mods
  * added workaround for IT fine global volume slides
  * added support for EXO4/EXO8 Startrekker/Audio Sculpture modules
  * added support for Soundtracker 2.6/Ice Tracker modules
  * MED synth instruments MUCH better now (but still far from perfection)
  * fixed S3M instrument retriggering on portamento bug

* Fri Feb 04 2000 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- updated to 2.0.0 final
- changed the etc/Makefile patch to work with new version

* Fri Jan 14 2000 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- fixed .spec and rebuilt for RH6.1
- added a patch for etc/Makefile to put conf files in $RPM_BUILD_ROOT

* Thu Sep 16 1999 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- built package for RH6 (no ALSA support)
